Bug 1316311 - [abrt] gnome-session: on_inhibitor_vanished(): gnome-session-binary killed by SIGSEGV
[abrt] gnome-session: on_inhibitor_vanished(): gnome-session-binary killed by...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:262014f21a59a3efbf8ea56cc65...
: CommonBugs
: 1317200 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 18:32 EST by Bill Gianopoulos
Modified: 2016-04-25 13:56 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 11:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.28 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: cgroup (242 bytes, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: core_backtrace (3.85 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: dso_list (8.35 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: environ (1.18 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: maps (39.02 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: mountinfo (3.42 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: open_fds (1.63 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-03-09 18:32 EST, Bill Gianopoulos
no flags Details
screenshot (816.68 KB, image/png)
2016-04-20 23:22 EDT, lnie
no flags Details

  None (edit)
Description Bill Gianopoulos 2016-03-09 18:32:34 EST
Version-Release number of selected component:
gnome-session-3.19.91-2.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     2204
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 on_inhibitor_vanished at gsm-inhibitor.c:255
 #1 do_call at gdbusnamewatching.c:216
 #2 call_vanished_handler at gdbusnamewatching.c:242
 #3 get_name_owner_cb at gdbusnamewatching.c:240
 #5 g_task_return_now at gtask.c:1107
 #6 g_task_return at gtask.c:1165
 #7 g_dbus_connection_call_done at gdbusconnection.c:5702
 #8 g_task_return_now at gtask.c:1107
 #9 complete_in_idle_cb at gtask.c:1121
Comment 1 Bill Gianopoulos 2016-03-09 18:32:38 EST
Created attachment 1134671 [details]
File: backtrace
Comment 2 Bill Gianopoulos 2016-03-09 18:32:39 EST
Created attachment 1134672 [details]
File: cgroup
Comment 3 Bill Gianopoulos 2016-03-09 18:32:40 EST
Created attachment 1134673 [details]
File: core_backtrace
Comment 4 Bill Gianopoulos 2016-03-09 18:32:41 EST
Created attachment 1134674 [details]
File: dso_list
Comment 5 Bill Gianopoulos 2016-03-09 18:32:42 EST
Created attachment 1134675 [details]
File: environ
Comment 6 Bill Gianopoulos 2016-03-09 18:32:43 EST
Created attachment 1134676 [details]
File: exploitable
Comment 7 Bill Gianopoulos 2016-03-09 18:32:44 EST
Created attachment 1134677 [details]
File: limits
Comment 8 Bill Gianopoulos 2016-03-09 18:32:45 EST
Created attachment 1134678 [details]
File: maps
Comment 9 Bill Gianopoulos 2016-03-09 18:32:46 EST
Created attachment 1134679 [details]
File: mountinfo
Comment 10 Bill Gianopoulos 2016-03-09 18:32:47 EST
Created attachment 1134680 [details]
File: namespaces
Comment 11 Bill Gianopoulos 2016-03-09 18:32:48 EST
Created attachment 1134681 [details]
File: open_fds
Comment 12 Bill Gianopoulos 2016-03-09 18:32:49 EST
Created attachment 1134682 [details]
File: proc_pid_status
Comment 13 Bill Gianopoulos 2016-03-09 18:32:49 EST
Created attachment 1134683 [details]
File: var_log_messages
Comment 14 Giulio 'juliuxpigface' 2016-03-10 17:07:31 EST
Similar problem has been detected:

Abrt caught this issue after a reboot. I'm not sure when did this happen exactly (while rebooting? while booting? while loggin in? I really don't know).

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1642
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 sangu 2016-03-10 21:03:14 EST
Similar problem has been detected:

gnome quit -> gnome-session-binary is Segmentation fault,  GDM starts.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1430
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Christian Stadelmann 2016-03-12 18:08:50 EST
*** Bug 1317200 has been marked as a duplicate of this bug. ***
Comment 18 Petr Schindler 2016-03-15 05:20:58 EDT
Similar problem has been detected:

Gnome-session crashed after I clicked on 'Restart & Install' in gnome-software - updates.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1977
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Kamil Páral 2016-03-17 08:56:16 EDT
Similar problem has been detected:

This is on a LiveCD when running in safe graphics mode using vesa. I exited anaconda after successful installation and wanted to reboot the machine, so I opened the user menu and wanted to display the poweroff/reboot dialog, when the whole session crashed.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1603
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Matteo Settenvini 2016-03-18 17:01:11 EDT
Similar problem has been detected:

Apparently crashing on reboot or shutdown.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1306
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 lnie 2016-04-20 23:20:31 EDT
Similar problem has been detected:

I was trying to figure out what's going on by looking into the journal ,after I right clicked the Nautilus and it kept hanging,when the system refreshed suddenly. Two seconds later I was able to  login the system,but  found that all the things were gone,including the firefox ,the terminal and the xchat.That's okay,but the real problem is all the icons become so small as you can see from the screenshot. 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1803
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 lnie 2016-04-20 23:22 EDT
Created attachment 1149281 [details]
screenshot
Comment 23 lnie 2016-04-21 00:21:46 EDT
Comment on attachment 1149281 [details]
screenshot

Please forget the icons thing,it's not the gnome-session-binary'fault:)
Comment 24 Bug Reporter 2016-04-22 01:18:13 EDT
Similar problem has been detected:

I do not how its happend exactly, this is thefirst time run fedora 24 alpha, and i am using virtualbox with 1 GB ram.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: on_inhibitor_vanished
executable:     /usr/libexec/gnome-session-binary
global_pid:     1687
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-binary killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.